Commit 37cfb91f authored by Michael Hanselmann's avatar Michael Hanselmann

Add footer.rst as a dependency for all man pages

Commit 6aff0514 removed an intermediate step, but forgot to add
“footer.rst” as a direct dependency.
Signed-off-by: default avatarMichael Hanselmann <hansmi@google.com>
Reviewed-by: default avatarIustin Pop <iustin@google.com>
parent 3784c431
......@@ -1196,7 +1196,7 @@ man/%.gen: man/%.rst lib/query.py lib/build/sphinx_ext.py \
PYTHONPATH=. $(RUN_IN_TEMPDIR) $(CURDIR)/$(DOCPP) < $< > $@ ;\
trap - EXIT
man/%.7.in man/%.8.in man/%.1.in: man/%.gen
man/%.7.in man/%.8.in man/%.1.in: man/%.gen man/footer.rst
@test -n "$(PANDOC)" || \
{ echo 'pandoc' not found during configure; exit 1; }
set -o pipefail ; \
......@@ -1207,7 +1207,7 @@ man/%.7.in man/%.8.in man/%.1.in: man/%.gen
$(CHECK_MAN_DASHES) $@; \
trap - EXIT
man/%.html.in: man/%.gen
man/%.html.in: man/%.gen man/footer.rst
@test -n "$(PANDOC)" || \
{ echo 'pandoc' not found during configure; exit 1; }
set -o pipefail ; \
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment